%global _python_dist_allow_version_zero 1

%define	oname	b43-tools-b43-fwcutter

Name:		b43-tools
Version:	019
Release:	%mkrel 7
Summary:	Tools for the Broadcom 43xx series WLAN chip
Group:		System/Networking
# assembler — GPLv2
# debug — GPLv3
# disassembler — GPLv2
# ssb_sprom — GPLv2+
License:	GPLv2 and GPLv2+ and GPLv3
URL:		https://bues.ch/gitweb?p=b43-tools.git;a=summary
Source0:	https://bues.ch/cgit/b43-tools.git/snapshot/%{oname}-%{version}.tar.xz
Patch1:		0001-b43-tools-fix-format-security-errors.patch
Patch2:		0002-Explicitly-use-python3.patch
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig(python3)


%description
Tools for the Broadcom 43xx series WLAN chip.


%prep
%autosetup -p1 -n %{oname}-%{version}
install -p -m 0644 assembler/COPYING COPYING.assembler
install -p -m 0644 assembler/README README.assembler
install -p -m 0644 debug/COPYING COPYING.debug
install -p -m 0644 debug/README README.debug
install -p -m 0644 disassembler/COPYING COPYING.disassembler
install -p -m 0644 ssb_sprom/README README.ssb_sprom
install -p -m 0644 ssb_sprom/COPYING COPYING.ssb_sprom

# For py3_build/py3_install macros
install -p -m 0644 debug/install.py debug/setup.py

2to3 -w .

%build
CFLAGS="%{optflags}" make %{?_smp_mflags} -C assembler
CFLAGS="%{optflags}" make %{?_smp_mflags} -C disassembler
CFLAGS="%{optflags}" make %{?_smp_mflags} -C ssb_sprom
cd debug && %py3_build


%install
mkdir -p %{buildroot}%{_bindir}
install -p -m 0755 assembler/b43-asm %{buildroot}%{_bindir}
install -p -m 0755 assembler/b43-asm.bin %{buildroot}%{_bindir}
install -p -m 0755 disassembler/b43-dasm %{buildroot}%{_bindir}
install -p -m 0755 disassembler/b43-ivaldump %{buildroot}%{_bindir}
install -p -m 0755 disassembler/brcm80211-fwconv %{buildroot}%{_bindir}
install -p -m 0755 disassembler/brcm80211-ivaldump %{buildroot}%{_bindir}
install -p -m 0755 ssb_sprom/ssb-sprom %{buildroot}%{_bindir}
cd debug && %py3_install


%files
%doc README.* COPYING.*
%{_bindir}/b43-asm
%{_bindir}/b43-asm.bin
%{_bindir}/b43-beautifier
%{_bindir}/b43-dasm
%{_bindir}/b43-fwdump
%{_bindir}/b43-ivaldump
%{_bindir}/brcm80211-fwconv
%{_bindir}/brcm80211-ivaldump
%{_bindir}/ssb-sprom
%{python3_sitelib}/*


%changelog
* Wed Dec 27 2023 papoteur <papoteur> 019-7.mga10
+ Revision: 2022217
- rebuild for python 3.12

* Fri Jan 06 2023 wally <wally> 019-6.mga9
+ Revision: 1930550
- allow building with latest python-rpm-generators

* Fri Mar 18 2022 umeabot <umeabot> 019-5.mga9
+ Revision: 1799019
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 mrambo3501 <mrambo3501> 019-4.mga9
+ Revision: 1774139
- rebuild for python-3.10

* Wed Mar 24 2021 tv <tv> 019-3.mga9
+ Revision: 1708701
- rebuild for python 3.9

* Fri Feb 28 2020 daviddavid <daviddavid> 019-2.mga8
+ Revision: 1551320
- port to python3
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Mar 20 2019 zezinho <zezinho> 019-1.mga7
+ Revision: 1379220
- new version 019

* Fri Sep 21 2018 umeabot <umeabot> 017-7.mga7
+ Revision: 1295217
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 017-6.mga6
+ Revision: 944520
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 017-5.mga5
+ Revision: 741914
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 017-4.mga5
+ Revision: 725978
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 017-3.mga5
+ Revision: 678091
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 017-2.mga5
+ Revision: 628112
- Rebuild for new Python

* Tue Dec 24 2013 pterjan <pterjan> 017-1.mga4
+ Revision: 560558
- Update to 017 fixing build of b43-openfwwf

* Tue Jan 22 2013 fwang <fwang> 0-0.8.git20090125.mga3
+ Revision: 390848
- update rpm group

* Tue Sep 27 2011 zezinho <zezinho> 0-0.7.git20090125.mga3
+ Revision: 149611
- imported package b43-tools


* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.7.git20090125
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 14 2010 Ralf Corsépius <corsepiu@fedoraproject.org> - 0-0.6.git20090125
- Add BR: flex-static (Fix FTBFS: BZ 660756).

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0-0.5.git20090125
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.git20090125
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May 19 2009 Peter Lemenkov <lemenkov@gmail.com> 0-0.3.git20090125
- Corrected 'License' field
- Since now ssb_sprom honours optflags

* Sat Apr  4 2009 Peter Lemenkov <lemenkov@gmail.com> 0-0.2.git20090125
- Added missing BuildRequire

* Sat Mar 14 2009 Peter Lemenkov <lemenkov@gmail.com> 0-0.1.git20090125
- Initial package for Fedora

